# ILMultiDimensionalArithmeticMean (ARX GUI Documentation)

org.deidentifier.arx.metric.v2

## Class ILMultiDimensionalArithmeticMean

- java.lang.Object
- - org.deidentifier.arx.metric.InformationLoss<double[]>
  - - org.deidentifier.arx.metric.v2.AbstractILMultiDimensional
    - - org.deidentifier.arx.metric.v2.AbstractILMultiDimensionalReduced
      - - org.deidentifier.arx.metric.v2.ILMultiDimensionalArithmeticMean

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InformationLoss<?>>

      public class ILMultiDimensionalArithmeticMean
      extends AbstractILMultiDimensionalReduced

  This class implements an information loss which can be represented as a decimal number per quasi-identifier.
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InformationLoss<double[]>` | `clone()` Override this to implement a variant.
    `protected double` | `getAggregate()` Override this to implement a variant.

    - ### Methods inherited from class org.deidentifier.arx.metric.v2.AbstractILMultiDimensionalReduced

      `compareTo, convert, getValue, hashCode, relativeTo, setValues, toString`

    - ### Methods inherited from class org.deidentifier.arx.metric.v2.AbstractILMultiDimensional

      `addMetadata, equals, getValues, getWeights, max, min`

    - ### Methods inherited from class org.deidentifier.arx.metric.InformationLoss

      `createInformationLoss, getMetadata`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### clone

          public InformationLoss<double[]> clone()

      Description copied from class: `AbstractILMultiDimensionalReduced`
      Override this to implement a variant.
      Specified by:
        `clone` in class `AbstractILMultiDimensionalReduced`

    - #### getAggregate

          protected double getAggregate()

      Description copied from class: `AbstractILMultiDimensionalReduced`
      Override this to implement a variant.
      Specified by:
        `getAggregate` in class `AbstractILMultiDimensionalReduced`
      Returns: